package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 结算证明与子单表的关联表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvTradeOrderLineSettlementProveDao;
import com.heyu.api.data.entity.vv.VvTradeOrderLineSettlementProveEntity;
import com.heyu.api.data.service.vv.VvTradeOrderLineSettlementProveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvTradeOrderLineSettlementProveServiceImpl extends ServiceImpl<VvTradeOrderLineSettlementProveDao, VvTradeOrderLineSettlementProveEntity> implements VvTradeOrderLineSettlementProveService {


    @Autowired
	private VvTradeOrderLineSettlementProveDao vvTradeOrderLineSettlementProveDao;



	@Override
	public VvTradeOrderLineSettlementProveEntity selectVvTradeOrderLineSettlementProveById(Long id){
		return vvTradeOrderLineSettlementProveDao.selectVvTradeOrderLineSettlementProveById(id);
	}



	@Override
	public Long insertVvTradeOrderLineSettlementProve(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve){
		return vvTradeOrderLineSettlementProveDao.insertVvTradeOrderLineSettlementProve(vvTradeOrderLineSettlementProve);
	}



	@Override
	public Long insertOrUpdateVvTradeOrderLineSettlementProve(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve){
		return vvTradeOrderLineSettlementProveDao.insertOrUpdateVvTradeOrderLineSettlementProve(vvTradeOrderLineSettlementProve);
	}



	@Override
	public int updateVvTradeOrderLineSettlementProveById(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve){
		return vvTradeOrderLineSettlementProveDao.updateVvTradeOrderLineSettlementProveById(vvTradeOrderLineSettlementProve);
	}



	@Override
	public int updateCoverVvTradeOrderLineSettlementProveById(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve){
		return vvTradeOrderLineSettlementProveDao.updateCoverVvTradeOrderLineSettlementProveById(vvTradeOrderLineSettlementProve);
	}



	@Override
	public int deleteVvTradeOrderLineSettlementProveById(Long id){
		return vvTradeOrderLineSettlementProveDao.deleteVvTradeOrderLineSettlementProveById(id);
	}



}
